package schedframe.resources.devices;

import schedframe.resources.StandardResourceType;
import schedframe.resources.devices.description.DeviceDescription;

public class DeviceFactory {
	
	public static Device createDevice(DeviceDescription devDesc){
		
		if (devDesc.getType().equals(StandardResourceType.Fan))
			return new Fan(devDesc);
		else if (devDesc.getType().equals(StandardResourceType.Inlet))
			return new Fan(devDesc);
		else if (devDesc.getType().equals(StandardResourceType.Outlet))
			return new Fan(devDesc);
		else
			return new Device (devDesc);
	}
}
